System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.ServiceModelSecurityTokenRequirement

Token requirement classes are used by a security token manager to specify what is required of a security token, such as the key size, key type, and how the key can be used. When a security token can be identified that matches the specified criteria, a SecurityTokenProvider and SecurityTokenAuthenticator can be created.

This token requirement class specifies initiator-related requirements.

Specifies a security property requirements specific to channel creation in the indigo1.

- Constructor
  4.0.0.0

  is set to false. is set to true.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets and sets the target address.

- Method
  4.0.0.0
  System.String

  This method displays the property type name, and for each property, the property name and value.

  Outputs a text representation of this instance of the class.

  A text representation of this instance of the class.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets or sets the Via.